diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index cd710f7..3a05bec 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -51381,8 +51381,8 @@ InnerNormalBasisFieldFunctions(GF): Exports == Implementation where
       a:=copy(b)$VGF
 --      one? e => a
       (e = 1) => a
-      odd?(e)$I => a * repSq(a*a,(e quo 2) pretend NNI)
-      repSq(a*a,(e quo 2) pretend NNI)
+      odd?(e)$I => a * repSq(a*a,(e quo 2) @ NNI)
+      repSq(a*a,(e quo 2) @ NNI)
 
 -- computes a**e using the divide and conquer algorithm similar to the
 -- one from D.R.Stinson,
diff --git a/buglist b/buglist
index 0fdabb2..ceb1642 100644
--- a/buglist
+++ b/buglist
@@ -5,13 +5,21 @@ todo 330:
 wish 1011:
 meh 5:
 errors 10016:
-warnings 20571:
+warnings 20572:
 macros 30234:
 typos 40363:
 dup 50006:
 nonextend 60077:
 
 =========================================================================
+warnings 20571:
+
+>compiling INBFF.spad to INBFF.nrlib
+ 
+   Warnings: 
+      [1] dAndcExp:  erg has no value
+
+=========================================================================
 warnings 20570:
 
 >compiling DFLOAT.spad to DFLOAT.nrlib
@@ -8599,15 +8607,6 @@ warnings 20466:
       [2] generate:  newNumComms has no value
  
 =========================================================================
-warnings 20465:
-
->compiling INBFF.spad to INBFF.nrlib
- 
-   Warnings: 
-      [1] repSq: pretend(NonNegativeInteger) -- should replace by @
-      [2] dAndcExp:  erg has no value
- 
-=========================================================================
 warnings 20464:
 
 >compiling IRSN.spad to IRSN.nrlib
@@ -35464,20 +35463,6 @@ Warning: PFO;cmult has a duplicate definition in this file
 
 ============================================================================
 
-   finalizing nrlib INBFF 
-   Warnings: 
-      [1] repSq: pretend(NonNegativeInteger) -- should replace by @
-      [2] dAndcExp:  erg has no value
-
---------------non extending category----------------------
-.. LinearOrdinaryDifferentialOperator(#1,#2) of cat 
-(|LinearOrdinaryDifferentialOperatorCategory| |#1|)    has no  outputForm : (%,OutputForm) -> OutputForm 
-============================================================================
-
-   finalizing nrlib LODO 
-
-============================================================================
-
    finalizing nrlib NTSCAT 
 ; (DEFUN |NormalizedTriangularSetCategory| ...) is being compiled.
 ;; The variable |NormalizedTriangularSetCategory;AL| is undefined.
@@ -35735,17 +35720,6 @@ Warning: SREGSET;decompose has a duplicate definition in this file
 
 ============================================================================
 
-   finalizing nrlib INTRVL 
-   Warnings: 
-      [1] roundDown: pretend(Integer) -- should replace by @
-      [2] roundUp: pretend(Integer) -- should replace by @
-      [3] normaliseFloat: pretend(Integer) -- should replace by @
-      [4] **: pretend(Integer) -- should replace by @
-      [5] ^: pretend(Integer) -- should replace by @
-      [6] interval: pretend(Integer) -- should replace by @
-
-============================================================================
-
    finalizing nrlib ODEEF 
    Warnings: 
       [1] solve: not known that (OrderedSet) is of mode (CATEGORY package (SIGNATURE solve ((Union (Record (: particular (Vector F)) (: basis (List (Vector F)))) failed) (Matrix F) (Vector F) (Symbol))) (SIGNATURE solve ((Union (List (Vector F)) failed) (Matrix F) (Symbol))) (SIGNATURE solve ((Union (Record (: particular (Vector F)) (: basis (List (Vector F)))) failed) (List (Equation F)) (List (BasicOperator)) (Symbol))) (SIGNATURE solve ((Union (Record (: particular (Vector F)) (: basis (List (Vector F)))) failed) (List F) (List (BasicOperator)) (Symbol))) (SIGNATURE solve ((Union (Record (: particular F) (: basis (List F))) F failed) (Equation F) (BasicOperator) (Symbol))) (SIGNATURE solve ((Union (Record (: particular F) (: basis (List F))) F failed) F (BasicOperator) (Symbol))) (SIGNATURE solve ((Union F failed) (Equation F) (BasicOperator) (Equation F) (List F))) (SIGNATURE solve ((Union F failed) F (BasicOperator) (Equation F) (List F))))
@@ -40571,3 +40545,13 @@ warnings 20073:
       [7] polygamma: :(Union (Integer) failed) -- should replace by @
  
 
+fixed 20130315.03.tpd.patch
+=========================================================================
+warnings 20465:
+
+>compiling INBFF.spad to INBFF.nrlib
+ 
+   Warnings: 
+      [1] repSq: pretend(NonNegativeInteger) -- should replace by @
+      [2] dAndcExp:  erg has no value
+ 
diff --git a/changelog b/changelog
index ff4860a..dc96206 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20130315 tpd src/axiom-website/patches.html 20130315.03.tpd.patch
+20130315 tpd buglist INBFF fixed 20465, add 20571
+20130315 tpd books/bookvol10.3 INBFF fixed 20465, add 20571
 20130315 tpd src/axiom-website/patches.html 20130315.02.tpd.patch
 20130315 tpd buglist DFLOAT fix 20073, add 20570
 20130315 tpd books/bookvol10.3 DFLOAT fix 20073, add 20570
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 5d32001..571be32 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4055,5 +4055,7 @@ books/bookvol2 Axiom and Category Theory chapter
 books/bookvol10.3 LIST fix 20063, add, add 20569
 <a href="patches/20130315.02.tpd.patch">20130315.02.tpd.patch</a>
 books/bookvol10.3 DFLOAT fix 20073, add 20570
+<a href="patches/20130315.03.tpd.patch">20130315.03.tpd.patch</a>
+books/bookvol10.3 INBFF fixed 20465, add 20571
  </body>
 </html>
